%define kdeprefix /usr

Summary: ksnuffle
Name: ksnuffle
Version: 2.1
Release: 3
Copyright: GPL
Group: System Environment/Daemons
Source: ftp://195.92.31.34/pub/ksnuffle-%{version}/%{name}-%{version}.tgz
Patch: ksnuffle-2.1-libpcap.patch
Patch1: ksnuffle-2.1-config.patch
Patch2: ksnuffle-glibc.patch
Url: http://www.quaking.demon.co.uk/ksnuffle.html
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{kdeprefix}
Requires: libpcap >= 0.4
BuildPrereq: libpcap >= 0.4
Excludearch: sparc

%description
Ksnuffle is a network packet sniffer for KDE. This version was
built with KDE 2.0.1 and QT 2.2.4

%prep
%setup -q
%patch -p1 -b .libpcap
%patch1 -p1 -b .config
%patch2 -p1 -b .glibc

%build
QTDIR="" && . /etc/profile.d/qt.sh
KDEDIR=%{kdeprefix}
test -f Makefile.dist && make -f Makefile.dist
./configure --prefix=%{kdeprefix} --enable-static

make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT \
     MANDEST=$RPM_BUILD_ROOT/%{kdeprefix}/share/man install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fixed to build against new glibc

* Mon Feb 05 2001 Than Ngo <than@redhat.com>
- updated to version 2.1, KDE2 support (Bug #25518)
- fixed for using libpcap in distri
- fixed for using RPM_OPT_FLAGS
- add BuildPrereq: libpcap

* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs-1.1.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against with compat-libstdc++

*  Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++ 1.1.2

* Tue Jun 13 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- clean up specfile
- use %%configure, %%makeinstall
- fix to built with glibc-2.2

* Sun May 04 2000 Karsten Hopp <karsten@redhat.de>
- update to version 0.7. 0.3 had a big security hole

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- strip binaries

* Fri Jan 28 2000 Tim Powers <timp@redhat.com>
- started changelog, changed group, added defattr line to files section.
